local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.ReputationUILegion(container)





--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  --[[ Material List ]]--
  local desc = AceGUI:Create("Label")  
  desc:SetText("|cff00C78CLegion:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("All Legion Reputation Guide covering Every faction in this expansion.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  



--[[ Guides ]]--

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")  
  desc:SetText('|TInterface\\Icons\\pvecurrency-valor:32|t '.."|cff00C78CNeutral :")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 16, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Court of Farondis")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.CourtofFarondisGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Dreamweavers")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.DreamweaversGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Valarjar")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.ValarjarGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Highmountain Tribe")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.HighmountainTribeGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Wardens")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheWardensGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Armies of Legionfall")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.ArmiesofLegionfallGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Army of the Light / Argussian Reach")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.ArmyoftheLightandArgussianReachGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Talon's Vengence")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TalonsVengeanceGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Chromie")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.ChromieGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("Conjuror Margoss")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.ConjurerMargossGuide(container)
  
  end)

  local CraftingVsFarming = AceGUI:Create("Button")
  CraftingVsFarming:SetText("The Nightfallen")
  CraftingVsFarming:SetWidth(350)
  scroll:AddChild(CraftingVsFarming)
  CraftingVsFarming:SetCallback("OnClick", function() 
  
 core.TheNightfallenGuide(container)
  
  end)


































  
  
  
  
  
  
  
  
  
  
  
  end